using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;
namespace SharedDll
{
    public class Demo
    {
        #region HelloWorld1
        public string HelloWorld()
        {
            return "Hello World!";
        }
        #endregion


        #region HelloWorld2
        [DllImport("coredll.dll")]
        private static extern void SystemParametersInfo(uint whichParam, uint size, StringBuilder platformType, uint notUsed);
        const uint SPI_GETPLATFORMTYPE = 257;
        public string HelloWorld2()
        {
            StringBuilder platformTypeString = new StringBuilder(255);
            SystemParametersInfo(SPI_GETPLATFORMTYPE, (uint)platformTypeString.Capacity, platformTypeString, 0);
            string pltType = platformTypeString.ToString();

            return "Hello " + pltType;
        }
        #endregion



        #region HelloWorld3
        public string HelloWorld3()
        {
            string result;
#if PocketPC
            result="Pocket PC";
#elif Smartphone
            result= "Smartphone";
#else
            result = "World";
#endif
            return "Hello " + result;
        }

        #endregion
    }
}
