﻿#region Using directives

using System;
using System.Drawing;
using System.Collections;
using System.Windows.Forms;
using System.Data;

#endregion

namespace Scroll2
{
    /// <summary>
    /// 窗体的摘要描述。
    /// </summary>
    public class FormMain : System.Windows.Forms.Form
    {
        private Panel panel1;
        private VScrollBar vScrollBar1;
        private Button btnExit;
        private DataGrid dataGrid1;
        private CheckBox checkBox3;
        private CheckBox checkBox2;
        private CheckBox checkBox1;

        Microsoft.WindowsMobile.Status.SystemState ss;

        /// <summary>
        /// 窗体的主菜单。
        /// </summary>
        private System.Windows.Forms.MainMenu mainMenu1;
        Microsoft.WindowsCE.Forms.InputPanel ip = new Microsoft.WindowsCE.Forms.InputPanel();
        public FormMain()
        {
            InitializeComponent();
            ip.EnabledChanged += new EventHandler(ip_EnabledChanged);
        }

        void ip_EnabledChanged(object sender, EventArgs e)
        {
            
        }



        /// <summary>
        /// 清理所有正在使用的资源。
        /// </summary>
        protected override void Dispose(bool disposing)
        {
            base.Dispose(disposing);
        }

        #region Windows 窗体设计器生成的代码
        /// <summary>
        /// 设计器支持所需的方法 - 不要
        /// 使用代码编辑器修改此方法的内容。
        /// </summary>
        private void InitializeComponent()
        {
            this.mainMenu1 = new System.Windows.Forms.MainMenu();
            this.panel1 = new System.Windows.Forms.Panel();
            this.btnExit = new System.Windows.Forms.Button();
            this.dataGrid1 = new System.Windows.Forms.DataGrid();
            this.checkBox3 = new System.Windows.Forms.CheckBox();
            this.checkBox2 = new System.Windows.Forms.CheckBox();
            this.checkBox1 = new System.Windows.Forms.CheckBox();
            this.vScrollBar1 = new System.Windows.Forms.VScrollBar();
            // 
            // panel1
            // 
            this.panel1.Controls.Add(this.btnExit);
            this.panel1.Controls.Add(this.dataGrid1);
            this.panel1.Controls.Add(this.checkBox3);
            this.panel1.Controls.Add(this.checkBox2);
            this.panel1.Controls.Add(this.checkBox1);
            this.panel1.Location = new System.Drawing.Point(0, -100);
            this.panel1.Size = new System.Drawing.Size(218, 400);
            // 
            // btnExit
            // 
            this.btnExit.Location = new System.Drawing.Point(71, 345);
            this.btnExit.Size = new System.Drawing.Size(72, 20);
            this.btnExit.Text = "Exit";
            this.btnExit.Click += new System.EventHandler(this.btnExit_Click);
            // 
            // dataGrid1
            // 
            this.dataGrid1.Location = new System.Drawing.Point(18, 137);
            this.dataGrid1.Size = new System.Drawing.Size(184, 200);
            // 
            // checkBox3
            // 
            this.checkBox3.Location = new System.Drawing.Point(18, 94);
            this.checkBox3.Size = new System.Drawing.Size(100, 20);
            this.checkBox3.Text = "checkBox3";
            // 
            // checkBox2
            // 
            this.checkBox2.Location = new System.Drawing.Point(18, 53);
            this.checkBox2.Size = new System.Drawing.Size(100, 20);
            this.checkBox2.Text = "checkBox2";
            // 
            // checkBox1
            // 
            this.checkBox1.Location = new System.Drawing.Point(18, 16);
            this.checkBox1.Size = new System.Drawing.Size(100, 20);
            this.checkBox1.Text = "checkBox1";
            // 
            // vScrollBar1
            // 
            this.vScrollBar1.LargeChange = 20;
            this.vScrollBar1.Location = new System.Drawing.Point(224, 0);
            this.vScrollBar1.Size = new System.Drawing.Size(16, 268);
            this.vScrollBar1.SmallChange = 5;
            this.vScrollBar1.ValueChanged += new System.EventHandler(this.vScrollBar1_ValueChanged);
            // 
            // FormMain
            // 
            this.ClientSize = new System.Drawing.Size(240, 268);
            this.Controls.Add(this.vScrollBar1);
            this.Controls.Add(this.panel1);
            this.Menu = this.mainMenu1;
            this.MinimizeBox = false;
            this.Text = "Scroll";
            this.Load += new System.EventHandler(this.FormMain_Load);

        }

        #endregion

        /// <summary>
        /// 应用程序的主入口点。
        /// </summary>
        static void Main()
        {
            Application.Run(new FormMain());
        }

        private void FormMain_Load(object sender, EventArgs e)
        {
            this.InitPanel();

        }

        private void InitPanel()
        {

            this.vScrollBar1.Height = this.ClientSize.Height;
            this.vScrollBar1.Top = 0;
            this.vScrollBar1.Left = this.ClientSize.Width - this.vScrollBar1.Width;

            this.panel1.Top = 0;
            this.panel1.Left = 0;
            this.panel1.Width = this.ClientSize.Width - this.vScrollBar1.Width;

            this.vScrollBar1.Minimum = 0;
            this.vScrollBar1.Maximum = this.panel1.Height - this.ClientSize.Height;

        }

        private void btnExit_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void vScrollBar1_ValueChanged(object sender, EventArgs e)
        {
            this.panel1.Top = -this.vScrollBar1.Value;
        }

    }
}

